## e-book-types

e-book-types

## Functions

GQuark | e_book_error_quark ()

## Types and Values

#define | E_BOOK_ERROR
enum | EBookStatus
#define | E_BOOK_ERROR_CORBA_EXCEPTION

## Description

## Functions

### e_book_error_quark ()

    GQuark
    e_book_error_quark (void);

`e_book_error_quark` is deprecated and should not be used in newly-written code.

## Types and Values

### E_BOOK_ERROR

    #define E_BOOK_ERROR e_book_error_quark()

`E_BOOK_ERROR` has been deprecated since version 3.2 and should not be used in newly-written code.

Use EBookClient and it's error codes instead

Error domain for the deprecated EBook

### enum EBookStatus

`EBookStatus` has been deprecated since version 3.2 and should not be used in newly-written code.

Use EBookClient and it's error codes instead

Error codes for the E_BOOK_ERROR error

#### Members

### E_BOOK_ERROR_CORBA_EXCEPTION

    #define E_BOOK_ERROR_CORBA_EXCEPTION E_BOOK_ERROR_DBUS_EXCEPTION

`E_BOOK_ERROR_CORBA_EXCEPTION` is deprecated and should not be used in newly-written code.

A deprecated EBookStatus

Deprecated